# -*- encoding: utf-8 -*-
# stub: mechanize 2.8.2 ruby lib

Gem::Specification.new do |s|
  s.name = "mechanize".freeze
  s.version = "2.8.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/sparklemotion/mechanize/issues", "changelog_uri" => "https://github.com/sparklemotion/mechanize/blob/main/CHANGELOG.md", "documentation_uri" => "https://www.rubydoc.info/gems/mechanize", "homepage_uri" => "https://github.com/sparklemotion/mechanize", "source_code_uri" => "https://github.com/sparklemotion/mechanize", "yard.run" => "yard" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Eric Hodel".freeze, "Aaron Patterson".freeze, "Mike Dalessio".freeze, "Akinori MUSHA".freeze, "Lee Jarvis".freeze]
  s.date = "2021-08-06"
  s.description = "The Mechanize library is used for automating interaction with websites.\nMechanize automatically stores and sends cookies, follows redirects,\nand can follow links and submit forms.  Form fields can be populated and\nsubmitted.  Mechanize also keeps track of the sites that you have visited as\na history.".freeze
  s.email = ["drbrain@segment7.net".freeze, "aaron.patterson@gmail.com".freeze, "mike.dalessio@gmail.com".freeze, "knu@idaemons.org".freeze, "ljjarvis@gmail.com".freeze]
  s.extra_rdoc_files = ["EXAMPLES.rdoc".freeze, "GUIDE.rdoc".freeze, "CHANGELOG.md".freeze, "README.md".freeze]
  s.files = [".autotest".freeze, ".github/dependabot.yml".freeze, ".github/workflows/ci-test.yml".freeze, ".gitignore".freeze, ".yardopts".freeze, "CHANGELOG.md".freeze, "EXAMPLES.rdoc".freeze, "GUIDE.rdoc".freeze, "Gemfile".freeze, "LICENSE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "examples/flickr_upload.rb".freeze, "examples/mech-dump.rb".freeze, "examples/proxy_req.rb".freeze, "examples/rubygems.rb".freeze, "examples/spider.rb".freeze, "examples/wikipedia_links_to_philosophy.rb".freeze, "lib/mechanize.rb".freeze, "lib/mechanize/chunked_termination_error.rb".freeze, "lib/mechanize/content_type_error.rb".freeze, "lib/mechanize/cookie.rb".freeze, "lib/mechanize/cookie_jar.rb".freeze, "lib/mechanize/directory_saver.rb".freeze, "lib/mechanize/download.rb".freeze, "lib/mechanize/element_matcher.rb".freeze, "lib/mechanize/element_not_found_error.rb".freeze, "lib/mechanize/file.rb".freeze, "lib/mechanize/file_connection.rb".freeze, "lib/mechanize/file_request.rb".freeze, "lib/mechanize/file_response.rb".freeze, "lib/mechanize/file_saver.rb".freeze, "lib/mechanize/form.rb".freeze, "lib/mechanize/form/button.rb".freeze, "lib/mechanize/form/check_box.rb".freeze, "lib/mechanize/form/field.rb".freeze, "lib/mechanize/form/file_upload.rb".freeze, "lib/mechanize/form/hidden.rb".freeze, "lib/mechanize/form/image_button.rb".freeze, "lib/mechanize/form/keygen.rb".freeze, "lib/mechanize/form/multi_select_list.rb".freeze, "lib/mechanize/form/option.rb".freeze, "lib/mechanize/form/radio_button.rb".freeze, "lib/mechanize/form/reset.rb".freeze, "lib/mechanize/form/select_list.rb".freeze, "lib/mechanize/form/submit.rb".freeze, "lib/mechanize/form/text.rb".freeze, "lib/mechanize/form/textarea.rb".freeze, "lib/mechanize/headers.rb".freeze, "lib/mechanize/history.rb".freeze, "lib/mechanize/http.rb".freeze, "lib/mechanize/http/agent.rb".freeze, "lib/mechanize/http/auth_challenge.rb".freeze, "lib/mechanize/http/auth_realm.rb".freeze, "lib/mechanize/http/auth_store.rb".freeze, "lib/mechanize/http/content_disposition_parser.rb".freeze, "lib/mechanize/http/www_authenticate_parser.rb".freeze, "lib/mechanize/image.rb".freeze, "lib/mechanize/page.rb".freeze, "lib/mechanize/page/base.rb".freeze, "lib/mechanize/page/frame.rb".freeze, "lib/mechanize/page/image.rb".freeze, "lib/mechanize/page/label.rb".freeze, "lib/mechanize/page/link.rb".freeze, "lib/mechanize/page/meta_refresh.rb".freeze, "lib/mechanize/parser.rb".freeze, "lib/mechanize/pluggable_parsers.rb".freeze, "lib/mechanize/prependable.rb".freeze, "lib/mechanize/redirect_limit_reached_error.rb".freeze, "lib/mechanize/redirect_not_get_or_head_error.rb".freeze, "lib/mechanize/response_code_error.rb".freeze, "lib/mechanize/response_read_error.rb".freeze, "lib/mechanize/robots_disallowed_error.rb".freeze, "lib/mechanize/test_case.rb".freeze, "lib/mechanize/test_case/.document".freeze, "lib/mechanize/test_case/bad_chunking_servlet.rb".freeze, "lib/mechanize/test_case/basic_auth_servlet.rb".freeze, "lib/mechanize/test_case/content_type_servlet.rb".freeze, "lib/mechanize/test_case/digest_auth_servlet.rb".freeze, "lib/mechanize/test_case/file_upload_servlet.rb".freeze, "lib/mechanize/test_case/form_servlet.rb".freeze, "lib/mechanize/test_case/gzip_servlet.rb".freeze, "lib/mechanize/test_case/header_servlet.rb".freeze, "lib/mechanize/test_case/http_refresh_servlet.rb".freeze, "lib/mechanize/test_case/infinite_redirect_servlet.rb".freeze, "lib/mechanize/test_case/infinite_refresh_servlet.rb".freeze, "lib/mechanize/test_case/many_cookies_as_string_servlet.rb".freeze, "lib/mechanize/test_case/many_cookies_servlet.rb".freeze, "lib/mechanize/test_case/modified_since_servlet.rb".freeze, "lib/mechanize/test_case/ntlm_servlet.rb".freeze, "lib/mechanize/test_case/one_cookie_no_spaces_servlet.rb".freeze, "lib/mechanize/test_case/one_cookie_servlet.rb".freeze, "lib/mechanize/test_case/quoted_value_cookie_servlet.rb".freeze, "lib/mechanize/test_case/redirect_servlet.rb".freeze, "lib/mechanize/test_case/referer_servlet.rb".freeze, "lib/mechanize/test_case/refresh_with_empty_url.rb".freeze, "lib/mechanize/test_case/refresh_without_url.rb".freeze, "lib/mechanize/test_case/response_code_servlet.rb".freeze, "lib/mechanize/test_case/robots_txt_servlet.rb".freeze, "lib/mechanize/test_case/send_cookies_servlet.rb".freeze, "lib/mechanize/test_case/server.rb".freeze, "lib/mechanize/test_case/servlets.rb".freeze, "lib/mechanize/test_case/verb_servlet.rb".freeze, "lib/mechanize/unauthorized_error.rb".freeze, "lib/mechanize/unsupported_scheme_error.rb".freeze, "lib/mechanize/util.rb".freeze, "lib/mechanize/version.rb".freeze, "lib/mechanize/xml_file.rb".freeze, "mechanize.gemspec".freeze, "test/data/htpasswd".freeze, "test/data/server.crt".freeze, "test/data/server.csr".freeze, "test/data/server.key".freeze, "test/data/server.pem".freeze, "test/htdocs/alt_text.html".freeze, "test/htdocs/bad_form_test.html".freeze, "test/htdocs/button.jpg".freeze, "test/htdocs/canonical_uri.html".freeze, "test/htdocs/dir with spaces/foo.html".freeze, "test/htdocs/empty_form.html".freeze, "test/htdocs/file_upload.html".freeze, "test/htdocs/find_link.html".freeze, "test/htdocs/form_multi_select.html".freeze, "test/htdocs/form_multival.html".freeze, "test/htdocs/form_no_action.html".freeze, "test/htdocs/form_no_input_name.html".freeze, "test/htdocs/form_order_test.html".freeze, "test/htdocs/form_select.html".freeze, "test/htdocs/form_set_fields.html".freeze, "test/htdocs/form_test.html".freeze, "test/htdocs/frame_referer_test.html".freeze, "test/htdocs/frame_test.html".freeze, "test/htdocs/google.html".freeze, "test/htdocs/index.html".freeze, "test/htdocs/link with space.html".freeze, "test/htdocs/meta_cookie.html".freeze, "test/htdocs/no_title_test.html".freeze, "test/htdocs/noindex.html".freeze, "test/htdocs/rails_3_encoding_hack_form_test.html".freeze, "test/htdocs/relative/tc_relative_links.html".freeze, "test/htdocs/robots.html".freeze, "test/htdocs/tc_bad_charset.html".freeze, "test/htdocs/tc_bad_links.html".freeze, "test/htdocs/tc_base_link.html".freeze, "test/htdocs/tc_blank_form.html".freeze, "test/htdocs/tc_charset.html".freeze, "test/htdocs/tc_checkboxes.html".freeze, "test/htdocs/tc_encoded_links.html".freeze, "test/htdocs/tc_field_precedence.html".freeze, "test/htdocs/tc_follow_meta.html".freeze, "test/htdocs/tc_follow_meta_loop_1.html".freeze, "test/htdocs/tc_follow_meta_loop_2.html".freeze, "test/htdocs/tc_form_action.html".freeze, "test/htdocs/tc_links.html".freeze, "test/htdocs/tc_meta_in_body.html".freeze, "test/htdocs/tc_pretty_print.html".freeze, "test/htdocs/tc_referer.html".freeze, "test/htdocs/tc_relative_links.html".freeze, "test/htdocs/tc_textarea.html".freeze, "test/htdocs/test_click.html".freeze, "test/htdocs/unusual______.html".freeze, "test/test_mechanize.rb".freeze, "test/test_mechanize_cookie.rb".freeze, "test/test_mechanize_cookie_jar.rb".freeze, "test/test_mechanize_directory_saver.rb".freeze, "test/test_mechanize_download.rb".freeze, "test/test_mechanize_element_not_found_error.rb".freeze, "test/test_mechanize_file.rb".freeze, "test/test_mechanize_file_connection.rb".freeze, "test/test_mechanize_file_request.rb".freeze, "test/test_mechanize_file_response.rb".freeze, "test/test_mechanize_file_saver.rb".freeze, "test/test_mechanize_form.rb".freeze, "test/test_mechanize_form_check_box.rb".freeze, "test/test_mechanize_form_encoding.rb".freeze, "test/test_mechanize_form_field.rb".freeze, "test/test_mechanize_form_file_upload.rb".freeze, "test/test_mechanize_form_image_button.rb".freeze, "test/test_mechanize_form_keygen.rb".freeze, "test/test_mechanize_form_multi_select_list.rb".freeze, "test/test_mechanize_form_option.rb".freeze, "test/test_mechanize_form_radio_button.rb".freeze, "test/test_mechanize_form_select_list.rb".freeze, "test/test_mechanize_form_textarea.rb".freeze, "test/test_mechanize_headers.rb".freeze, "test/test_mechanize_history.rb".freeze, "test/test_mechanize_http_agent.rb".freeze, "test/test_mechanize_http_auth_challenge.rb".freeze, "test/test_mechanize_http_auth_realm.rb".freeze, "test/test_mechanize_http_auth_store.rb".freeze, "test/test_mechanize_http_content_disposition_parser.rb".freeze, "test/test_mechanize_http_www_authenticate_parser.rb".freeze, "test/test_mechanize_image.rb".freeze, "test/test_mechanize_link.rb".freeze, "test/test_mechanize_page.rb".freeze, "test/test_mechanize_page_encoding.rb".freeze, "test/test_mechanize_page_frame.rb".freeze, "test/test_mechanize_page_image.rb".freeze, "test/test_mechanize_page_link.rb".freeze, "test/test_mechanize_page_meta_refresh.rb".freeze, "test/test_mechanize_parser.rb".freeze, "test/test_mechanize_pluggable_parser.rb".freeze, "test/test_mechanize_redirect_limit_reached_error.rb".freeze, "test/test_mechanize_redirect_not_get_or_head_error.rb".freeze, "test/test_mechanize_response_read_error.rb".freeze, "test/test_mechanize_subclass.rb".freeze, "test/test_mechanize_util.rb".freeze, "test/test_mechanize_xml_file.rb".freeze, "test/test_multi_select.rb".freeze]
  s.homepage = "https://github.com/sparklemotion/mechanize".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["--main".freeze, "README.md".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5.0".freeze)
  s.rubygems_version = "3.0.8".freeze
  s.summary = "The Mechanize library is used for automating interaction with websites".freeze
  s.test_files = ["test/data/htpasswd".freeze, "test/data/server.crt".freeze, "test/data/server.csr".freeze, "test/data/server.key".freeze, "test/data/server.pem".freeze, "test/htdocs/alt_text.html".freeze, "test/htdocs/bad_form_test.html".freeze, "test/htdocs/button.jpg".freeze, "test/htdocs/canonical_uri.html".freeze, "test/htdocs/dir with spaces/foo.html".freeze, "test/htdocs/empty_form.html".freeze, "test/htdocs/file_upload.html".freeze, "test/htdocs/find_link.html".freeze, "test/htdocs/form_multi_select.html".freeze, "test/htdocs/form_multival.html".freeze, "test/htdocs/form_no_action.html".freeze, "test/htdocs/form_no_input_name.html".freeze, "test/htdocs/form_order_test.html".freeze, "test/htdocs/form_select.html".freeze, "test/htdocs/form_set_fields.html".freeze, "test/htdocs/form_test.html".freeze, "test/htdocs/frame_referer_test.html".freeze, "test/htdocs/frame_test.html".freeze, "test/htdocs/google.html".freeze, "test/htdocs/index.html".freeze, "test/htdocs/link with space.html".freeze, "test/htdocs/meta_cookie.html".freeze, "test/htdocs/no_title_test.html".freeze, "test/htdocs/noindex.html".freeze, "test/htdocs/rails_3_encoding_hack_form_test.html".freeze, "test/htdocs/relative/tc_relative_links.html".freeze, "test/htdocs/robots.html".freeze, "test/htdocs/tc_bad_charset.html".freeze, "test/htdocs/tc_bad_links.html".freeze, "test/htdocs/tc_base_link.html".freeze, "test/htdocs/tc_blank_form.html".freeze, "test/htdocs/tc_charset.html".freeze, "test/htdocs/tc_checkboxes.html".freeze, "test/htdocs/tc_encoded_links.html".freeze, "test/htdocs/tc_field_precedence.html".freeze, "test/htdocs/tc_follow_meta.html".freeze, "test/htdocs/tc_follow_meta_loop_1.html".freeze, "test/htdocs/tc_follow_meta_loop_2.html".freeze, "test/htdocs/tc_form_action.html".freeze, "test/htdocs/tc_links.html".freeze, "test/htdocs/tc_meta_in_body.html".freeze, "test/htdocs/tc_pretty_print.html".freeze, "test/htdocs/tc_referer.html".freeze, "test/htdocs/tc_relative_links.html".freeze, "test/htdocs/tc_textarea.html".freeze, "test/htdocs/test_click.html".freeze, "test/htdocs/unusual______.html".freeze, "test/test_mechanize.rb".freeze, "test/test_mechanize_cookie.rb".freeze, "test/test_mechanize_cookie_jar.rb".freeze, "test/test_mechanize_directory_saver.rb".freeze, "test/test_mechanize_download.rb".freeze, "test/test_mechanize_element_not_found_error.rb".freeze, "test/test_mechanize_file.rb".freeze, "test/test_mechanize_file_connection.rb".freeze, "test/test_mechanize_file_request.rb".freeze, "test/test_mechanize_file_response.rb".freeze, "test/test_mechanize_file_saver.rb".freeze, "test/test_mechanize_form.rb".freeze, "test/test_mechanize_form_check_box.rb".freeze, "test/test_mechanize_form_encoding.rb".freeze, "test/test_mechanize_form_field.rb".freeze, "test/test_mechanize_form_file_upload.rb".freeze, "test/test_mechanize_form_image_button.rb".freeze, "test/test_mechanize_form_keygen.rb".freeze, "test/test_mechanize_form_multi_select_list.rb".freeze, "test/test_mechanize_form_option.rb".freeze, "test/test_mechanize_form_radio_button.rb".freeze, "test/test_mechanize_form_select_list.rb".freeze, "test/test_mechanize_form_textarea.rb".freeze, "test/test_mechanize_headers.rb".freeze, "test/test_mechanize_history.rb".freeze, "test/test_mechanize_http_agent.rb".freeze, "test/test_mechanize_http_auth_challenge.rb".freeze, "test/test_mechanize_http_auth_realm.rb".freeze, "test/test_mechanize_http_auth_store.rb".freeze, "test/test_mechanize_http_content_disposition_parser.rb".freeze, "test/test_mechanize_http_www_authenticate_parser.rb".freeze, "test/test_mechanize_image.rb".freeze, "test/test_mechanize_link.rb".freeze, "test/test_mechanize_page.rb".freeze, "test/test_mechanize_page_encoding.rb".freeze, "test/test_mechanize_page_frame.rb".freeze, "test/test_mechanize_page_image.rb".freeze, "test/test_mechanize_page_link.rb".freeze, "test/test_mechanize_page_meta_refresh.rb".freeze, "test/test_mechanize_parser.rb".freeze, "test/test_mechanize_pluggable_parser.rb".freeze, "test/test_mechanize_redirect_limit_reached_error.rb".freeze, "test/test_mechanize_redirect_not_get_or_head_error.rb".freeze, "test/test_mechanize_response_read_error.rb".freeze, "test/test_mechanize_subclass.rb".freeze, "test/test_mechanize_util.rb".freeze, "test/test_mechanize_xml_file.rb".freeze, "test/test_multi_select.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<addressable>.freeze, ["~> 2.8"])
      s.add_runtime_dependency(%q<domain_name>.freeze, [">= 0.5.20190701", "~> 0.5"])
      s.add_runtime_dependency(%q<http-cookie>.freeze, [">= 1.0.3", "~> 1.0"])
      s.add_runtime_dependency(%q<mime-types>.freeze, ["~> 3.0"])
      s.add_runtime_dependency(%q<net-http-digest_auth>.freeze, [">= 1.4.1", "~> 1.4"])
      s.add_runtime_dependency(%q<net-http-persistent>.freeze, [">= 2.5.2", "< 5.0.dev"])
      s.add_runtime_dependency(%q<nokogiri>.freeze, [">= 1.11.2", "~> 1.11"])
      s.add_runtime_dependency(%q<rubyntlm>.freeze, [">= 0.6.3", "~> 0.6"])
      s.add_runtime_dependency(%q<webrick>.freeze, ["~> 1.7"])
      s.add_runtime_dependency(%q<webrobots>.freeze, ["~> 0.1.2"])
      s.add_development_dependency(%q<minitest>.freeze, ["~> 5.14"])
      s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
      s.add_development_dependency(%q<rdoc>.freeze, ["~> 6.3"])
      s.add_development_dependency(%q<rubocop>.freeze, ["~> 1.12"])
    else
      s.add_dependency(%q<addressable>.freeze, ["~> 2.8"])
      s.add_dependency(%q<domain_name>.freeze, [">= 0.5.20190701", "~> 0.5"])
      s.add_dependency(%q<http-cookie>.freeze, [">= 1.0.3", "~> 1.0"])
      s.add_dependency(%q<mime-types>.freeze, ["~> 3.0"])
      s.add_dependency(%q<net-http-digest_auth>.freeze, [">= 1.4.1", "~> 1.4"])
      s.add_dependency(%q<net-http-persistent>.freeze, [">= 2.5.2", "< 5.0.dev"])
      s.add_dependency(%q<nokogiri>.freeze, [">= 1.11.2", "~> 1.11"])
      s.add_dependency(%q<rubyntlm>.freeze, [">= 0.6.3", "~> 0.6"])
      s.add_dependency(%q<webrick>.freeze, ["~> 1.7"])
      s.add_dependency(%q<webrobots>.freeze, ["~> 0.1.2"])
      s.add_dependency(%q<minitest>.freeze, ["~> 5.14"])
      s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
      s.add_dependency(%q<rdoc>.freeze, ["~> 6.3"])
      s.add_dependency(%q<rubocop>.freeze, ["~> 1.12"])
    end
  else
    s.add_dependency(%q<addressable>.freeze, ["~> 2.8"])
    s.add_dependency(%q<domain_name>.freeze, [">= 0.5.20190701", "~> 0.5"])
    s.add_dependency(%q<http-cookie>.freeze, [">= 1.0.3", "~> 1.0"])
    s.add_dependency(%q<mime-types>.freeze, ["~> 3.0"])
    s.add_dependency(%q<net-http-digest_auth>.freeze, [">= 1.4.1", "~> 1.4"])
    s.add_dependency(%q<net-http-persistent>.freeze, [">= 2.5.2", "< 5.0.dev"])
    s.add_dependency(%q<nokogiri>.freeze, [">= 1.11.2", "~> 1.11"])
    s.add_dependency(%q<rubyntlm>.freeze, [">= 0.6.3", "~> 0.6"])
    s.add_dependency(%q<webrick>.freeze, ["~> 1.7"])
    s.add_dependency(%q<webrobots>.freeze, ["~> 0.1.2"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.14"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<rdoc>.freeze, ["~> 6.3"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 1.12"])
  end
end

